Bug 173327 - Web Inspector: Send context attributes for tracked canvases
Summary: Web Inspector: Send context attributes for tracked canvases
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Devin Rousso
URL:
Keywords:
Depends on: 138941
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-13 13:50 PDT by Devin Rousso
Modified: 2017-07-03 10:52 PDT (History)
12 users (show)

See Also:


Attachments
[Patch] WIP (10.64 KB, patch)
2017-06-13 13:53 PDT, Devin Rousso
drousso: commit-queue-
Details | Formatted Diff | Diff
[Image] After Patch is applied (476.94 KB, image/png)
2017-06-13 13:53 PDT, Devin Rousso
no flags Details
Patch (16.16 KB, patch)
2017-06-20 00:08 PDT, Devin Rousso
joepeck: review+
Details | Formatted Diff | Diff
Patch (16.22 KB, patch)
2017-06-20 16:28 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Devin Rousso 2017-06-13 13:50:53 PDT
WebGL canvases are able to provide attributes that effect the functionality of the canvas.  The value of these attributes should be visible in the frontend.
Comment 1 Devin Rousso 2017-06-13 13:53:25 PDT
Created attachment 312802 [details]
[Patch] WIP
Comment 2 Devin Rousso 2017-06-13 13:53:38 PDT
Created attachment 312803 [details]
[Image] After Patch is applied
Comment 3 Devin Rousso 2017-06-20 00:08:44 PDT
Created attachment 313375 [details]
Patch
Comment 4 Joseph Pecoraro 2017-06-20 14:02:48 PDT
Comment on attachment 313375 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=313375&action=review

> LayoutTests/inspector/canvas/context-attributes-expected.txt:13
> +{"alpha":true,"depth":true,"stencil":false,"antialias":true,"premultipliedAlpha":true,"preserveDrawingBuffer":false,"failIfMajorPerformanceCaveat":false}

We could JSON.stringify(obj, null, 2) to make this easier to read.

> Source/WebInspectorUI/UserInterface/Views/CanvasDetailsSidebarPanel.js:221
> +            const columns = {
> +                name: {title: WebInspector.UIString("Name")},
> +                value: {title: WebInspector.UIString("Value"), width: "30%"},
> +            };
> +            dataGrid = this._attributesDataGridRow.dataGrid = new WebInspector.DataGrid(columns);

Style: Again I think we should inline these as the last param. It looks very awkward like this!
Comment 5 Devin Rousso 2017-06-20 16:28:22 PDT
Created attachment 313453 [details]
Patch
Comment 6 WebKit Commit Bot 2017-06-20 17:07:45 PDT
Comment on attachment 313453 [details]
Patch

Clearing flags on attachment: 313453

Committed r218618: <http://trac.webkit.org/changeset/218618>
Comment 7 WebKit Commit Bot 2017-06-20 17:07:47 PDT
All reviewed patches have been landed.  Closing bug.